---
document: modulemd
version: 2
data:
  name: 389-ds
  stream: 1.4
  version: 20201217104801
  context: eb68d56b
  arch: i686
  summary: 389 Directory Server (base)
  description: >-
    389 Directory Server is an LDAPv3 compliant server.  The base package includes
    the LDAP server and command line utilities for server administration.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      nodejs: [10]
      platform: [el8]
    requires:
      platform: [el8]
  filter:
    rpms:
    - cockpit-389-ds
  components:
    rpms:
      389-ds-base:
        rationale: Package in api
        ref: stream-1.4-rhel-8.3.0
        arches: [aarch64, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - cockpit-389-ds-0:1.4.3.8-6.module+el8.3.0+8995+c08169ba.noarch
    - cockpit-389-ds-0:1.4.3.8-7.module+el8.3.0+10310+6e88d919.noarch
    - python3-lib389-0:1.4.3.8-6.module+el8.3.0+8995+c08169ba.noarch
    - python3-lib389-0:1.4.3.8-7.module+el8.3.0+10310+6e88d919.noarch
...
---
document: modulemd
version: 2
data:
  name: go-toolset
  stream: rhel8
  version: 20201217125052
  context: 0a78f8c5
  arch: i686
  summary: Go
  description: >-
    Go Tools and libraries
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      go-toolset: [rhel8]
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - go-toolset
  api:
    rpms:
    - golang
  buildopts:
    rpms:
      whitelist:
      - delve
      - go-toolset
      - go-toolset-1.10
      - go-toolset-1.10-golang
      - go-toolset-golang
      - golang
  components:
    rpms:
      delve:
        rationale: A debugger for the Go programming language
        ref: stream-rhel-8-rhel-8.3.0
        buildorder: 2
      go-toolset:
        rationale: Meta package for go-toolset providing scl enable scripts.
        ref: stream-rhel-8-rhel-8.3.0
      golang:
        rationale: Package providing the Go compiler toolchain.
        ref: stream-rhel-8-rhel-8.3.0
        buildorder: 1
  artifacts:
    rpms:
    - golang-docs-0:1.14.12-1.module+el8.3.0+8784+380394dc.noarch
    - golang-misc-0:1.14.12-1.module+el8.3.0+8784+380394dc.noarch
    - golang-src-0:1.14.12-1.module+el8.3.0+8784+380394dc.noarch
    - golang-tests-0:1.14.12-1.module+el8.3.0+8784+380394dc.noarch
...
---
document: modulemd
version: 2
data:
  name: idm
  stream: DL1
  version: 20201117041356
  context: 0a2c2afe
  arch: i686
  summary: The Red Hat Enterprise Linux Identity Management system module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    adtrust:
      description: RHEL IdM Server Integration with Active Directory
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server-trust-ad
    client:
      description: RHEL IdM Client
      rpms:
      - ipa-client
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
    dns:
      description: RHEL IdM with integrated DNS server and integrated CA
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
      - ipa-server-dns
    server:
      description: Base RHEL IdM Server with integrated CA and no integrated DNS
      rpms:
      - ipa-healthcheck
      - ipa-healthcheck-core
      - ipa-server
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: stream-idm-DL1-rhel-8.3.0
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: stream-idm-DL1-rhel-8.3.0
        buildorder: 2
      ipa:
        rationale: Module API
        ref: stream-idm-DL1-rhel-8.3.0
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: stream-DL1-rhel-8.3.0
        buildorder: 3
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: stream-idm-DL1-rhel-8.3.0
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: stream-idm-DL1-rhel-8.3.0
        buildorder: 1
      python-kdcproxy:
        rationale: MS-KKDCP (kerberos proxy) WSGI module
        ref: stream-idm-DL1-rhel-8.3.0
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.3.0
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.3.0
        buildorder: 2
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: stream-idm-DL1-rhel-8.3.0
        buildorder: 1
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: stream-idm-DL1-rhel-8.3.0
        arches: [aarch64, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: stream-idm-DL1-rhel-8.3.0
  artifacts:
    rpms:
    - ipa-client-0:4.8.7-13.module+el8.3.0+8376+0bba7131.i686
    - ipa-client-0:4.8.7-14.module+el8.3.0+9419+8502777d.i686
    - ipa-client-0:4.8.7-16.module+el8.3.0+10289+b6566038.i686
    - ipa-client-common-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-client-common-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-client-common-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - ipa-client-samba-0:4.8.7-13.module+el8.3.0+8376+0bba7131.i686
    - ipa-client-samba-0:4.8.7-14.module+el8.3.0+9419+8502777d.i686
    - ipa-client-samba-0:4.8.7-16.module+el8.3.0+10289+b6566038.i686
    - ipa-common-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-common-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-common-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - ipa-python-compat-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-python-compat-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-python-compat-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - ipa-selinux-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-selinux-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-selinux-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - ipa-server-common-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-server-common-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-server-common-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - ipa-server-dns-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - ipa-server-dns-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - ipa-server-dns-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - python3-ipaclient-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - python3-ipaclient-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - python3-ipaclient-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - python3-ipalib-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - python3-ipalib-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - python3-ipalib-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
    - python3-ipaserver-0:4.8.7-13.module+el8.3.0+8376+0bba7131.noarch
    - python3-ipaserver-0:4.8.7-14.module+el8.3.0+9419+8502777d.noarch
    - python3-ipaserver-0:4.8.7-16.module+el8.3.0+10289+b6566038.noarch
...
---
document: modulemd
version: 2
data:
  name: mariadb
  stream: 10.3
  version: 20201217113442
  context: c56d11ed
  arch: i686
  summary: MariaDB Module
  description: >-
    MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded
    SQL database server. It is a client/server implementation consisting of a server
    daemon (mysqld) and many different client programs and libraries. The base package
    contains the standard MariaDB/MySQL client programs and generic MySQL files.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://mariadb.org
    documentation: https://mariadb.com/kb/en/library/documentation/
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - mariadb
    galera:
      rpms:
      - mariadb-server
      - mariadb-server-galera
    server:
      rpms:
      - mariadb-server
  api:
    rpms:
    - mariadb
    - mariadb-server
  filter:
    rpms:
    - Judy-devel
    - asio-devel
  buildopts:
    rpms:
      macros: >
        %runselftest 1

        %ignore_testsuite_result 0
  components:
    rpms:
      Judy:
        rationale: MariaDB dependency for OQgraph computation engine
        ref: stream-mariadb-10.3-rhel-8.1.0
        buildorder: 4
      asio:
        rationale: Galera dependency for asynchronous I/O operation
        ref: stream-mariadb-10.3-rhel-8.1.0
        buildorder: 12
      galera:
        rationale: Galera package for MariaDB server replication
        ref: stream-10.3-rhel-8.1.0
        buildorder: 16
      mariadb:
        rationale: MariaDB package
        ref: stream-10.3-rhel-8.1.0
        buildorder: 8
  artifacts:
    rpms:
    - galera-0:25.3.31-1.module+el8.3.0+8843+3f4e42f6.i686
    - galera-0:25.3.32-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-backup-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-backup-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-common-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-common-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-devel-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-devel-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-embedded-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-embedded-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-embedded-devel-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-embedded-devel-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-errmsg-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-errmsg-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-gssapi-server-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-gssapi-server-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-oqgraph-engine-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-oqgraph-engine-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-server-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-server-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-server-galera-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-server-galera-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-server-utils-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-server-utils-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
    - mariadb-test-3:10.3.27-3.module+el8.3.0+8972+5e3224e9.i686
    - mariadb-test-3:10.3.28-1.module+el8.3.0+10472+7adc332a.i686
...
---
document: modulemd
version: 2
data:
  name: nginx
  stream: 1.16
  version: 20201217113131
  context: c56d11ed
  arch: i686
  summary: nginx webserver
  description: >-
    nginx 1.16 webserver module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    documentation: http://nginx.org/en/docs/
    tracker: https://trac.nginx.org/nginx/
  profiles:
    common:
      rpms:
      - nginx
      - nginx-all-modules
      - nginx-filesystem
      - nginx-mod-http-image-filter
      - nginx-mod-http-perl
      - nginx-mod-http-xslt-filter
      - nginx-mod-mail
      - nginx-mod-stream
  api:
    rpms:
    - nginx
    - nginx-all-modules
    - nginx-filesystem
    - nginx-mod-http-image-filter
    - nginx-mod-http-perl
    - nginx-mod-http-xslt-filter
    - nginx-mod-mail
    - nginx-mod-stream
  components:
    rpms:
      nginx:
        rationale: Module API.
        ref: stream-1.16-rhel-8.1.0
  artifacts:
    rpms:
    - nginx-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
    - nginx-all-modules-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.noarch
    - nginx-filesystem-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.noarch
    - nginx-mod-http-image-filter-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
    - nginx-mod-http-perl-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
    - nginx-mod-http-xslt-filter-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
    - nginx-mod-mail-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
    - nginx-mod-stream-1:1.16.1-1.module+el8.3.0+8844+e5e7039f.1.i686
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: 10
  version: 20200710214515
  context: c56d11ed
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-10-rhel-8.2.0
        buildorder: 10
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-rhel-8.0-rhel-8.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-rhel-8.0-rhel-8.2.0
        buildorder: 100
  artifacts:
    rpms:
    - nodejs-1:10.23.1-1.module+el8.3.0+9502+012d8a97.i686
    - nodejs-1:10.24.0-1.module+el8.3.0+10166+b07ac28e.i686
    - nodejs-devel-1:10.23.1-1.module+el8.3.0+9502+012d8a97.i686
    - nodejs-devel-1:10.24.0-1.module+el8.3.0+10166+b07ac28e.i686
    - nodejs-docs-1:10.23.1-1.module+el8.3.0+9502+012d8a97.noarch
    - nodejs-docs-1:10.24.0-1.module+el8.3.0+10166+b07ac28e.noarch
    - nodejs-full-i18n-1:10.23.1-1.module+el8.3.0+9502+012d8a97.i686
    - nodejs-full-i18n-1:10.24.0-1.module+el8.3.0+10166+b07ac28e.i686
    - npm-1:6.14.10-1.10.23.1.1.module+el8.3.0+9502+012d8a97.i686
    - npm-1:6.14.11-1.10.24.0.1.module+el8.3.0+10166+b07ac28e.i686
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: 12
  version: 20201217110022
  context: c56d11ed
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1

        # %_with_shared_brotli 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-12-rhel-8.2.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-12-rhel-8.2.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-12-rhel-8.2.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:12.19.1-1.module+el8.3.0+8851+b7b41ca0.i686
    - nodejs-1:12.20.1-1.module+el8.3.0+9503+19cb079c.i686
    - nodejs-1:12.21.0-1.module+el8.3.0+10191+34fb5a07.i686
    - nodejs-devel-1:12.19.1-1.module+el8.3.0+8851+b7b41ca0.i686
    - nodejs-devel-1:12.20.1-1.module+el8.3.0+9503+19cb079c.i686
    - nodejs-devel-1:12.21.0-1.module+el8.3.0+10191+34fb5a07.i686
    - nodejs-docs-1:12.19.1-1.module+el8.3.0+8851+b7b41ca0.noarch
    - nodejs-docs-1:12.20.1-1.module+el8.3.0+9503+19cb079c.noarch
    - nodejs-docs-1:12.21.0-1.module+el8.3.0+10191+34fb5a07.noarch
    - nodejs-full-i18n-1:12.19.1-1.module+el8.3.0+8851+b7b41ca0.i686
    - nodejs-full-i18n-1:12.20.1-1.module+el8.3.0+9503+19cb079c.i686
    - nodejs-full-i18n-1:12.21.0-1.module+el8.3.0+10191+34fb5a07.i686
    - nodejs-nodemon-0:2.0.3-1.module+el8.3.0+9715+1718613f.noarch
    - npm-1:6.14.10-1.12.20.1.1.module+el8.3.0+9503+19cb079c.i686
    - npm-1:6.14.11-1.12.21.0.1.module+el8.3.0+10191+34fb5a07.i686
    - npm-1:6.14.8-1.12.19.1.1.module+el8.3.0+8851+b7b41ca0.i686
...
---
document: modulemd
version: 2
data:
  name: nodejs
  stream: 14
  version: 20201128174811
  context: c56d11ed
  arch: i686
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bootstrap 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: stream-14-rhel-8.3.0
        buildorder: 100
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: stream-14-rhel-8.3.0
        buildorder: 200
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: stream-14-rhel-8.3.0
        buildorder: 10
  artifacts:
    rpms:
    - nodejs-1:14.15.0-1.module+el8.3.0+8610+0cf59502.i686
    - nodejs-1:14.15.4-2.module+el8.3.0+9635+ffdf8381.i686
    - nodejs-1:14.16.0-2.module+el8.3.0+10180+b92e1eb6.i686
    - nodejs-devel-1:14.15.0-1.module+el8.3.0+8610+0cf59502.i686
    - nodejs-devel-1:14.15.4-2.module+el8.3.0+9635+ffdf8381.i686
    - nodejs-devel-1:14.16.0-2.module+el8.3.0+10180+b92e1eb6.i686
    - nodejs-docs-1:14.15.0-1.module+el8.3.0+8610+0cf59502.noarch
    - nodejs-docs-1:14.15.4-2.module+el8.3.0+9635+ffdf8381.noarch
    - nodejs-docs-1:14.16.0-2.module+el8.3.0+10180+b92e1eb6.noarch
    - nodejs-full-i18n-1:14.15.0-1.module+el8.3.0+8610+0cf59502.i686
    - nodejs-full-i18n-1:14.15.4-2.module+el8.3.0+9635+ffdf8381.i686
    - nodejs-full-i18n-1:14.16.0-2.module+el8.3.0+10180+b92e1eb6.i686
    - npm-1:6.14.10-1.14.15.4.2.module+el8.3.0+9635+ffdf8381.i686
    - npm-1:6.14.11-1.14.16.0.2.module+el8.3.0+10180+b92e1eb6.i686
    - npm-1:6.14.8-1.14.15.0.1.module+el8.3.0+8610+0cf59502.i686
...
---
document: modulemd
version: 2
data:
  name: pki-core
  stream: 10.6
  version: 20201117142835
  context: 61c69da8
  arch: i686
  summary: PKI Core module for PKI 10.6 or later
  description: >-
    A module for PKI Core packages for PKI version 10.6 or later.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      golang-ecosystem: [1.0]
      pki-deps: [10.6]
      platform: [el8]
    requires:
      pki-deps: [10.6]
      platform: [el8]
  references:
    community: http://www.dogtagpki.org
    documentation: http://www.dogtagpki.org
    tracker: https://pagure.io/dogtagpki/issues
  components:
    rpms:
      jss:
        rationale: JSS packages
        ref: stream-pki-10.6-rhel-8.3.0
      ldapjdk:
        rationale: LDAP JDK packages
        ref: stream-pki-10.6-rhel-8.3.0
        buildorder: 1
      pki-core:
        rationale: PKI Core packages
        ref: stream-pki-10.6-rhel-8.3.0
        buildorder: 2
      tomcatjss:
        rationale: TomcatJSS packages
        ref: stream-pki-10.6-rhel-8.3.0
        buildorder: 1
  artifacts:
    rpms:
    - pki-base-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
    - pki-base-java-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
    - pki-ca-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
    - pki-kra-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
    - pki-server-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
    - python3-pki-0:10.9.4-3.module+el8.3.0+10353+73f6df5b.noarch
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: 10
  version: 20201226164801
  context: c56d11ed
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/10/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      postgresql:
        rationale: Module API.
        ref: stream-10-rhel-8.2.0
  artifacts:
    rpms:
    - postgresql-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-contrib-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-docs-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-plperl-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-plpython3-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-pltcl-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-server-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-server-devel-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-static-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-test-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-test-rpm-macros-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-upgrade-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
    - postgresql-upgrade-devel-0:10.15-1.module+el8.3.0+8944+1ca16b1f.i686
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: 12
  version: 20201226164801
  context: c56d11ed
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/12/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      pgaudit:
        rationale: pgaudit extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
      postgres-decoderbufs:
        rationale: postgres-decoderbufs extension
        ref: stream-12-rhel-8.1.1
        buildorder: 1
      postgresql:
        rationale: Module API.
        ref: stream-12-rhel-8.1.1
  artifacts:
    rpms:
    - pgaudit-0:1.4.0-4.module+el8.3.0+9042+664538f4.i686
    - postgres-decoderbufs-0:0.10.0-2.module+el8.3.0+9042+664538f4.i686
    - postgresql-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-contrib-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-docs-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-plperl-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-plpython3-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-pltcl-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-server-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-server-devel-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-static-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-test-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-test-rpm-macros-0:12.5-1.module+el8.3.0+9042+664538f4.noarch
    - postgresql-upgrade-0:12.5-1.module+el8.3.0+9042+664538f4.i686
    - postgresql-upgrade-devel-0:12.5-1.module+el8.3.0+9042+664538f4.i686
...
---
document: modulemd
version: 2
data:
  name: postgresql
  stream: 9.6
  version: 20201226164801
  context: c56d11ed
  arch: i686
  summary: PostgreSQL server and client module
  description: >-
    PostgreSQL is an advanced Object-Relational database management system (DBMS).
    The postgresql-server package contains the programs needed to create and run a
    PostgreSQL server, which will in turn allow you to create and maintain PostgreSQL
    databases. The base postgresql package contains the client programs that you'll
    need to access a PostgreSQL DBMS server.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.postgresql.org
    documentation: https://www.postgresql.org/docs/10/index.html
    tracker: http://bugzilla.redhat.com
  profiles:
    client:
      rpms:
      - postgresql
    server:
      rpms:
      - postgresql-server
  api:
    rpms:
    - postgresql
    - postgresql-server
  components:
    rpms:
      postgresql:
        rationale: Module API.
        ref: stream-9.6
  artifacts:
    rpms:
    - postgresql-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-contrib-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-docs-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-plperl-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-plpython3-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-pltcl-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-server-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-server-devel-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-static-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-test-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
    - postgresql-test-rpm-macros-0:9.6.20-1.module+el8.3.0+8938+7f0e88b6.i686
...
---
document: modulemd
version: 2
data:
  name: rust-toolset
  stream: rhel8
  version: 20210221174330
  context: 8836adf6
  arch: i686
  summary: Rust
  description: >-
    Rust Toolset
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      platform: [el8]
      rust-toolset: [rhel8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust:
        rationale: Rust compiler and tools
        ref: stream-rhel-8-rhel-8.3.0
      rust-toolset:
        rationale: Meta package for rust-toolset.
        ref: stream-rhel-8-rhel-8.3.0
  artifacts:
    rpms:
    - cargo-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - cargo-doc-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.noarch
    - clippy-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rls-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rust-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rust-analysis-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rust-debugger-common-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.noarch
    - rust-doc-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rust-gdb-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.noarch
    - rust-lldb-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.noarch
    - rust-src-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.noarch
    - rust-std-static-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rust-toolset-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
    - rustfmt-0:1.47.0-1.module+el8.3.1+8546+07bf6eb2.i686
...
---
document: modulemd
version: 2
data:
  name: subversion
  stream: 1.10
  version: 20201117160907
  context: 431f70eb
  arch: i686
  summary: Apache Subversion
  description: >-
    Apache Subversion, a Modern Version Control System
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      httpd: [2.4]
      platform: [el8]
      swig: [3.0]
    requires:
      platform: [el8]
  references:
    documentation: http://subversion.apache.org/docs/
    tracker: https://issues.apache.org/jira/projects/SVN
  profiles:
    common:
      rpms:
      - subversion
      - subversion-libs
      - subversion-tools
    server:
      rpms:
      - mod_dav_svn
      - subversion
      - subversion-libs
      - subversion-tools
  api:
    rpms:
    - mod_dav_svn
    - subversion
    - subversion-devel
    - subversion-libs
  filter:
    rpms:
    - libserf-devel
    - python3-subversion
    - subversion-ruby
    - utf8proc-devel
  buildopts:
    rpms:
      macros: >
        %_without_kwallet 1

        %_without_python2 1

        %_with_python3 1

        %_without_bdb 1

        %_without_pyswig 1
  components:
    rpms:
      libserf:
        rationale: Build dependency.
        ref: stream-v1-rhel-8.3.0
        buildorder: 10
      subversion:
        rationale: Module API.
        ref: stream-1.10-rhel-8.3.0
        buildorder: 20
      utf8proc:
        rationale: Build dependency.
        ref: stream-v2-rhel-8.3.0
        buildorder: 10
  artifacts:
    rpms:
    - mod_dav_svn-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-devel-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-gnome-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-javahl-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.noarch
    - subversion-libs-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-perl-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-ruby-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
    - subversion-tools-0:1.10.2-4.module+el8.3.0+9886+ac338b6d.i686
...
---
document: modulemd
version: 2
data:
  name: virt
  stream: rhel
  version: 20201217135208
  context: c56d11ed
  arch: i686
  summary: Virtualization module
  description: >-
    A virtualization module
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  profiles:
    common:
      rpms:
      - libguestfs
      - libvirt-client
      - libvirt-daemon-config-network
      - libvirt-daemon-kvm
  filter:
    rpms:
    - ocaml-hivex
    - ocaml-hivex-debuginfo
    - ocaml-hivex-devel
    - ocaml-libguestfs
    - ocaml-libguestfs-debuginfo
    - ocaml-libguestfs-devel
    - ocaml-libnbd
    - ocaml-libnbd-debuginfo
    - ocaml-libnbd-devel
    - qemu-kvm-tests
    - qemu-kvm-tests-debuginfo
  components:
    rpms:
      SLOF:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
        arches: [ppc64le]
      hivex:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
      libguestfs:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 4
      libguestfs-winsupport:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 5
      libiscsi:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
      libnbd:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
      libvirt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 3
      libvirt-dbus:
        rationale: libvirt-dbus is part of the virtualization module
        ref: stream-rhel-rhel-8.3.0
        buildorder: 4
      libvirt-python:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 4
      nbdkit:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 5
      netcf:
        rationale: libvirt dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
      perl-Sys-Virt:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 4
      qemu-kvm:
        rationale: Primary module content
        ref: stream-rhel-rhel-8.3.0
        buildorder: 2
      seabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
        arches: [ppc64le, x86_64]
      sgabios:
        rationale: qemu-kvm dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 1
        arches: [ppc64le, x86_64]
      supermin:
        rationale: libguestfs dep
        ref: stream-rhel-rhel-8.3.0
        buildorder: 2
  artifacts:
    rpms:
    - libvirt-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-admin-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-bash-completion-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-client-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-config-network-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-config-nwfilter-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-interface-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-network-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-nodedev-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-nwfilter-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-secret-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-core-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-disk-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-iscsi-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-iscsi-direct-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-logical-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-mpath-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-rbd-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-daemon-driver-storage-scsi-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-devel-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-docs-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-libs-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
    - libvirt-nss-0:6.0.0-28.1.module+el8.3.0+10448+0c705bc6.i686
...
